#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,Y, szamok[20001],a,b;
    cin>>N;
    vector<int> elemek,szam1,szam2;

    cin>>szamok[0];
    elemek.push_back(0);
    for(int i =1; i<N; i++){
        cin>>szamok[i];
        if(szamok[i]<szamok[i-1]){
            elemek.push_back(elemek[i-1]+1);
        }
        else {elemek.push_back(elemek[i-1]);}
    }
    cin>>Y;
    for(int i=0; i<Y; i++){
      cin>>a>>b;
      szam1.push_back(a);
      szam2.push_back(b);

    }
    for(int i =0; i<szam1.size(); i++){
        if(elemek[szam2[i]-1]-elemek[szam1[i]-1]>1){
        cout<<"NE"<<endl;
      }
      else cout<<"DA"<<endl;
    }


    return 0;
}